# Metrics list

_Observability / Metrics_

`GET /metrics/{bucketId}`

## Parameters

- `correlationId` (string, optional)
- `appName` (string, optional)
- `fromDate` (number, optional)
- `toDate` (number, optional)
- `tags` (string, optional)
- `sort` (number, optional)
- `from` (number, optional, default: `0`) — Starting offset for pagination (0-based)
- `to` (number, optional, default: `10`) — Maximum number of items to return per page

## Responses

### `200` — List of metrics

Type: `PagedResponse<MetricsDto>`



## Code Examples

### curl

```curl
curl --request GET \

 --url https://apis-spb.konso.io/metrics/{bucketId}
```

### javascript

```js
const options = {method: 'GET'};

fetch('https://apis-spb.konso.io/metrics/{bucketId}', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));
```

### Response Example (200)

```json
{
  "total": 1,
  "list": [
    {
      "id": "metric_123",
      "responseCode": 200,
      "level": "error",
      "appName": "MyApp",
   }
  ]
}
```
